=== debian/changelog ===
glaurung (2.2-6) unstable; urgency=medium

  * Adopt game inside Games Team (Closes: #835306)
  * Rewrite d/copyright in machine-parsable format

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Mar 2025 11:42:39 +0100

glaurung (2.2-5) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.4.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.
  * Switch away from single-debian-patch and add patch metadata.
  * Switched to simple dh based d/rules and added hardening.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 29 May 2024 23:10:24 +0200

glaurung (2.2-4) unstable; urgency=medium

  * QA upload.
  * Fix a segfault for out-of bounds, patch by Asher Gordon.
    (Closes: #969228)

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 09 Sep 2020 13:05:47 +0200

glaurung (2.2-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to the QA group.
  * Priority optional, standards, R³, dh 12, build-arch, format 3.0.
  * Work around --as-needed regression in gcc-9. (Closes: #925696)
  * Drop Homepage -- taken over by a payday loan scammer.
  * Drop redundant noopt handling (it's broken anyway, too...).

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #900215)

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 03 Nov 2019 02:56:13 +0100

glaurung (2.2-2) unstable; urgency=low

  * Standards Version to 3.8.1
  * Added Homepage field to control file
  * Set debhelper version to >=7.0.0
  * Set compat level to 7
  * Removed dh_clean -k from rules and added dh_prep

 -- Oliver Korff <ok@xynyx.de>  Sat, 06 Jun 2009 11:06:48 +0200

glaurung (2.2-1) unstable; urgency=low

  * New Upstream Version
  * Repack of the source, removed binary files
  * Added missing includes for g++-snapshot (4.4.0)
  * -- main.h =>  include "#include <cstdio>"

 -- Oliver Korff <ok@xynyx.de>  Mon, 22 Dec 2008 14:11:53 +0100

glaurung (2.1-2) unstable; urgency=low

  * Added missing includes for g++ 4.4
  * -- main.h =>  include "#include <cstdio>" (Closes: #504951)
  * First "official" release of new Upstream Version (Closes: #492798)

 -- Oliver Korff <ok@xynyx.de>  Fri, 14 Nov 2008 19:13:17 +0100

glaurung (2.1-1) unstable; urgency=low

  * New Upstream Version
  * Repack of the source, removed binary files
  * Compiler option -fno-rtti addad again, because compiling on all systems
  * Includes added to ensure g++ 4.3 compilation:
  * -- pawns.h =>  include "position.h"
  * -- material.cpp =>  include "material.h"
  * -- misc.h => include <string.h> ; include <stdlib.h>
  * -- bitboard.h => include "stdlib.h"
  * Tests done with the packet:
  * -- compile with g++ 4.2 and 4.3 as available in sid
  * -- pbuilder compile

 -- Oliver Korff <ok@xynyx.de>  Mon, 19 May 2008 13:26:09 +0200

glaurung (2.0.1-2) unstable; urgency=low

  * Compiler option -fno-rtti had to be removed (Closes: #459029)
  * Added missing includes to satisfy gcc 4.3 (Closes: #456042)

 -- Oliver Korff <ok@xynyx.de>  Tue, 08 Jan 2008 10:13:42 +0100

glaurung (2.0.1-1) unstable; urgency=low

  * New Upstream Version
  * Repack of the source, it came as .zip and contained binary files

 -- Oliver Korff <ok@xynyx.de>  Fri, 23 Nov 2007 23:28:31 +0100

glaurung (1.99.2epsilon5-2) unstable; urgency=low

  * stripped the rules file

 -- Oliver Korff <ok@xynyx.de>  Thu, 09 Aug 2007 09:38:16 +0200

glaurung (1.99.2epsilon5-1) unstable; urgency=low

  * Initial release (Closes: #434495)

 -- Oliver Korff <ok@xynyx.de>  Mon, 09 Jul 2007 17:05:28 +0200
