=== debian/control ===
Source: glaurung
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/games-team/glaurung
Vcs-Git: https://salsa.debian.org/games-team/glaurung.git
X-Style: black

Package: glaurung
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 polyglot,
 xboard | knights,
Description: free UCI chess engine, to calculate chess moves
 This is a very strong chess engine, finished 4th place at internatonal
 ChessWar X. It uses the UCI (universal chess interface), for chess
 engines as communication protocol. This means to play against it,
 you have to use an UCI capable interface, like knights. Or an
 xboard adapter like polyglot.
